
package com.ejie.ad74a.ws.client.platea.tareasTramitacion;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TCompareType.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TCompareType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN"&gt;
 *     &lt;enumeration value="equal"/&gt;
 *     &lt;enumeration value="not_equal"/&gt;
 *     &lt;enumeration value="greater"/&gt;
 *     &lt;enumeration value="greater_or_equal"/&gt;
 *     &lt;enumeration value="lower"/&gt;
 *     &lt;enumeration value="lower_or_equal"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TCompareType")
@XmlEnum
public enum TCompareType {

    @XmlEnumValue("equal")
    EQUAL("equal"),
    @XmlEnumValue("not_equal")
    NOT_EQUAL("not_equal"),
    @XmlEnumValue("greater")
    GREATER("greater"),
    @XmlEnumValue("greater_or_equal")
    GREATER_OR_EQUAL("greater_or_equal"),
    @XmlEnumValue("lower")
    LOWER("lower"),
    @XmlEnumValue("lower_or_equal")
    LOWER_OR_EQUAL("lower_or_equal");
    private final String value;

    TCompareType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TCompareType fromValue(String v) {
        for (TCompareType c: TCompareType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
